Meetings
Cancel meeting recording
Cancel a meeting recording. The meeting record is kept but marked as cancelled. Use this to stop a bot that’s currently recording or to cancel a scheduled recording.
POST
/
meetings
/
{id}
/
cancel
cURL
curl -X POST https://app.mavera.io/api/v1/meetings/meeting_123/cancel \
-H "Authorization: Bearer mvra_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"reason": "Meeting rescheduled"}'import requests
result = requests.post(
"https://app.mavera.io/api/v1/meetings/meeting_123/cancel",
headers={"Authorization": "Bearer mvra_live_your_key_here"},
json={"reason": "Meeting rescheduled"}
).json()
print(f"Meeting cancelled at: {result['cancelled_at']}")const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.mavera.io/api/v1/meetings/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/meetings/{id}/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "meeting",
"status": "cancelled",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "<string>",
"cancel_reason": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Meeting ID
Body
application/json
Optional reason for cancellation
Maximum string length:
500Response
Meeting cancelled successfully
⌘I
cURL
curl -X POST https://app.mavera.io/api/v1/meetings/meeting_123/cancel \
-H "Authorization: Bearer mvra_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"reason": "Meeting rescheduled"}'import requests
result = requests.post(
"https://app.mavera.io/api/v1/meetings/meeting_123/cancel",
headers={"Authorization": "Bearer mvra_live_your_key_here"},
json={"reason": "Meeting rescheduled"}
).json()
print(f"Meeting cancelled at: {result['cancelled_at']}")const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://app.mavera.io/api/v1/meetings/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/meetings/{id}/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "meeting",
"status": "cancelled",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "<string>",
"cancel_reason": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}